summaryrefslogtreecommitdiffstats
path: root/tests/files/working.git
diff options
context:
space:
mode:
Diffstat (limited to 'tests/files/working.git')
-rw-r--r--tests/files/working.git/HEAD1
-rw-r--r--tests/files/working.git/config4
-rw-r--r--tests/files/working.git/description1
-rw-r--r--tests/files/working.git/hooks/applypatch-msg15
-rw-r--r--tests/files/working.git/hooks/commit-msg21
-rw-r--r--tests/files/working.git/hooks/post-commit8
-rw-r--r--tests/files/working.git/hooks/post-receive16
-rw-r--r--tests/files/working.git/hooks/post-update8
-rw-r--r--tests/files/working.git/hooks/pre-applypatch14
-rw-r--r--tests/files/working.git/hooks/pre-commit70
-rw-r--r--tests/files/working.git/hooks/pre-rebase150
-rw-r--r--tests/files/working.git/hooks/update78
-rw-r--r--tests/files/working.git/info/exclude6
-rw-r--r--tests/files/working.git/objects/0b/c0d846cf80b079e763e35c3af273171bf01fcabin0 -> 88 bytes
-rw-r--r--tests/files/working.git/objects/54/5ffc79786f268524c35e1e05b1770c7c74faf13
-rw-r--r--tests/files/working.git/objects/6b/790ddc5eab30f18cabdd0513e8f8dac0d2d3edbin0 -> 51 bytes
-rw-r--r--tests/files/working.git/objects/e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391bin0 -> 15 bytes
-rw-r--r--tests/files/working.git/refs/heads/master1
18 files changed, 396 insertions, 0 deletions
diff --git a/tests/files/working.git/HEAD b/tests/files/working.git/HEAD
new file mode 100644
index 0000000..cb089cd
--- /dev/null
+++ b/tests/files/working.git/HEAD
@@ -0,0 +1 @@
+ref: refs/heads/master
diff --git a/tests/files/working.git/config b/tests/files/working.git/config
new file mode 100644
index 0000000..07d359d
--- /dev/null
+++ b/tests/files/working.git/config
@@ -0,0 +1,4 @@
+[core]
+ repositoryformatversion = 0
+ filemode = true
+ bare = true
diff --git a/tests/files/working.git/description b/tests/files/working.git/description
new file mode 100644
index 0000000..c6f25e8
--- /dev/null
+++ b/tests/files/working.git/description
@@ -0,0 +1 @@
+Unnamed repository; edit this file to name it for gitweb.
diff --git a/tests/files/working.git/hooks/applypatch-msg b/tests/files/working.git/hooks/applypatch-msg
new file mode 100644
index 0000000..02de1ef
--- /dev/null
+++ b/tests/files/working.git/hooks/applypatch-msg
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit. The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, make this file executable.
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+ exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:
diff --git a/tests/files/working.git/hooks/commit-msg b/tests/files/working.git/hooks/commit-msg
new file mode 100644
index 0000000..c5cdb9d
--- /dev/null
+++ b/tests/files/working.git/hooks/commit-msg
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by git-commit with one argument, the name of the file
+# that has the commit message. The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit. The hook is allowed to edit the commit message file.
+#
+# To enable this hook, make this file executable.
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
+ echo >&2 Duplicate Signed-off-by lines.
+ exit 1
+}
diff --git a/tests/files/working.git/hooks/post-commit b/tests/files/working.git/hooks/post-commit
new file mode 100644
index 0000000..8be6f34
--- /dev/null
+++ b/tests/files/working.git/hooks/post-commit
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script that is called after a successful
+# commit is made.
+#
+# To enable this hook, make this file executable.
+
+: Nothing
diff --git a/tests/files/working.git/hooks/post-receive b/tests/files/working.git/hooks/post-receive
new file mode 100644
index 0000000..b70c8fd
--- /dev/null
+++ b/tests/files/working.git/hooks/post-receive
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# An example hook script for the post-receive event
+#
+# This script is run after receive-pack has accepted a pack and the
+# repository has been updated. It is passed arguments in through stdin
+# in the form
+# <oldrev> <newrev> <refname>
+# For example:
+# aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
+#
+# see contrib/hooks/ for an sample, or uncomment the next line (on debian)
+#
+
+
+#. /usr/share/doc/git-core/contrib/hooks/post-receive-email
diff --git a/tests/files/working.git/hooks/post-update b/tests/files/working.git/hooks/post-update
new file mode 100644
index 0000000..bcba893
--- /dev/null
+++ b/tests/files/working.git/hooks/post-update
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, make this file executable by "chmod +x post-update".
+
+exec git-update-server-info
diff --git a/tests/files/working.git/hooks/pre-applypatch b/tests/files/working.git/hooks/pre-applypatch
new file mode 100644
index 0000000..eeccc93
--- /dev/null
+++ b/tests/files/working.git/hooks/pre-applypatch
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, make this file executable.
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+ exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:
diff --git a/tests/files/working.git/hooks/pre-commit b/tests/files/working.git/hooks/pre-commit
new file mode 100644
index 0000000..18b8730
--- /dev/null
+++ b/tests/files/working.git/hooks/pre-commit
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by git-commit with no arguments. The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, make this file executable.
+
+# This is slightly modified from Andrew Morton's Perfect Patch.
+# Lines you introduce should not have trailing whitespace.
+# Also check for an indentation that has SP before a TAB.
+
+if git-rev-parse --verify HEAD 2>/dev/null
+then
+ git-diff-index -p -M --cached HEAD
+else
+ # NEEDSWORK: we should produce a diff with an empty tree here
+ # if we want to do the same verification for the initial import.
+ :
+fi |
+perl -e '
+ my $found_bad = 0;
+ my $filename;
+ my $reported_filename = "";
+ my $lineno;
+ sub bad_line {
+ my ($why, $line) = @_;
+ if (!$found_bad) {
+ print STDERR "*\n";
+ print STDERR "* You have some suspicious patch lines:\n";
+ print STDERR "*\n";
+ $found_bad = 1;
+ }
+ if ($reported_filename ne $filename) {
+ print STDERR "* In $filename\n";
+ $reported_filename = $filename;
+ }
+ print STDERR "* $why (line $lineno)\n";
+ print STDERR "$filename:$lineno:$line\n";
+ }
+ while (<>) {
+ if (m|^diff --git a/(.*) b/\1$|) {
+ $filename = $1;
+ next;
+ }
+ if (/^@@ -\S+ \+(\d+)/) {
+ $lineno = $1 - 1;
+ next;
+ }
+ if (/^ /) {
+ $lineno++;
+ next;
+ }
+ if (s/^\+//) {
+ $lineno++;
+ chomp;
+ if (/\s$/) {
+ bad_line("trailing whitespace", $_);
+ }
+ if (/^\s* /) {
+ bad_line("indent SP followed by a TAB", $_);
+ }
+ if (/^(?:[<>=]){7}/) {
+ bad_line("unresolved merge conflict", $_);
+ }
+ }
+ }
+ exit($found_bad);
+'
diff --git a/tests/files/working.git/hooks/pre-rebase b/tests/files/working.git/hooks/pre-rebase
new file mode 100644
index 0000000..981c454
--- /dev/null
+++ b/tests/files/working.git/hooks/pre-rebase
@@ -0,0 +1,150 @@
+#!/bin/sh
+#
+# Copyright (c) 2006 Junio C Hamano
+#
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+ topic="refs/heads/$2"
+else
+ topic=`git symbolic-ref HEAD`
+fi
+
+case "$basebranch,$topic" in
+master,refs/heads/??/*)
+ ;;
+*)
+ exit 0 ;# we do not interrupt others.
+ ;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master. Is it OK to rebase it?
+
+# Is topic fully merged to master?
+not_in_master=`git-rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+ echo >&2 "$topic is fully merged to master; better remove it."
+ exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next? If so you should not be rebasing it.
+only_next_1=`git-rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git-rev-list ^master ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+ not_in_topic=`git-rev-list "^$topic" master`
+ if test -z "$not_in_topic"
+ then
+ echo >&2 "$topic is already up-to-date with master"
+ exit 1 ;# we could allow it, but there is no point.
+ else
+ exit 0
+ fi
+else
+ not_in_next=`git-rev-list --pretty=oneline ^${publish} "$topic"`
+ perl -e '
+ my $topic = $ARGV[0];
+ my $msg = "* $topic has commits already merged to public branch:\n";
+ my (%not_in_next) = map {
+ /^([0-9a-f]+) /;
+ ($1 => 1);
+ } split(/\n/, $ARGV[1]);
+ for my $elem (map {
+ /^([0-9a-f]+) (.*)$/;
+ [$1 => $2];
+ } split(/\n/, $ARGV[2])) {
+ if (!exists $not_in_next{$elem->[0]}) {
+ if ($msg) {
+ print STDERR $msg;
+ undef $msg;
+ }
+ print STDERR " $elem->[1]\n";
+ }
+ }
+ ' "$topic" "$not_in_next" "$not_in_master"
+ exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+ merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+ it is deleted. If you need to build on top of it to correct
+ earlier mistakes, a new topic branch is created by forking at
+ the tip of the "master". This is not strictly necessary, but
+ it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+ branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next". Young
+ topic branches can have stupid mistakes you would rather
+ clean up before publishing, and things that have not been
+ merged into other branches can be easily rebased without
+ affecting other people. But once it is published, you would
+ not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+ Then you can delete it. More importantly, you should not
+ build on top of it -- other people may already want to
+ change things related to the topic as patches against your
+ "master", so if you need further changes, it is better to
+ fork the topic (perhaps with the same name) afresh from the
+ tip of "master".
+
+Let's look at this example:
+
+ o---o---o---o---o---o---o---o---o---o "next"
+ / / / /
+ / a---a---b A / /
+ / / / /
+ / / c---c---c---c B /
+ / / / \ /
+ / / / b---b C \ /
+ / / / / \ /
+ ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished. It has been fully merged up to "master" and "next",
+ and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+ git-rev-list ^master ^topic next
+ git-rev-list ^master next
+
+ if these match, topic has not merged in next at all.
+
+To compute (2):
+
+ git-rev-list master..topic
+
+ if this is empty, it is fully merged to "master".
diff --git a/tests/files/working.git/hooks/update b/tests/files/working.git/hooks/update
new file mode 100644
index 0000000..d8c7626
--- /dev/null
+++ b/tests/files/working.git/hooks/update
@@ -0,0 +1,78 @@
+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by git-receive-pack with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, make this file executable by "chmod +x update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+# This boolean sets whether unannotated tags will be allowed into the
+# repository. By default they won't be.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+ echo "Don't run this script from the command line." >&2
+ echo " (if you want, you could supply GIT_DIR then run" >&2
+ echo " $0 <ref> <oldrev> <newrev>)" >&2
+ exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+ echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+ exit 1
+fi
+
+# --- Config
+allowunannotated=$(git-repo-config --bool hooks.allowunannotated)
+
+# check for no description
+projectdesc=$(sed -e '1p' "$GIT_DIR/description")
+if [ -z "$projectdesc" -o "$projectdesc" = "Unnamed repository; edit this file to name it for gitweb" ]; then
+ echo "*** Project description file hasn't been set" >&2
+ exit 1
+fi
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a branch
+if [ "$newrev" = "0000000000000000000000000000000000000000" ]; then
+ newrev_type=commit
+else
+ newrev_type=$(git-cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+ refs/tags/*,commit)
+ # un-annotated tag
+ short_refname=${refname##refs/tags/}
+ if [ "$allowunannotated" != "true" ]; then
+ echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+ echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+ exit 1
+ fi
+ ;;
+ refs/tags/*,tag)
+ # annotated tag
+ ;;
+ refs/heads/*,commit)
+ # branch
+ ;;
+ refs/remotes/*,commit)
+ # tracking branch
+ ;;
+ *)
+ # Anything else (is there anything else?)
+ echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+ exit 1
+ ;;
+esac
+
+# --- Finished
+exit 0
diff --git a/tests/files/working.git/info/exclude b/tests/files/working.git/info/exclude
new file mode 100644
index 0000000..2c87b72
--- /dev/null
+++ b/tests/files/working.git/info/exclude
@@ -0,0 +1,6 @@
+# git-ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~
diff --git a/tests/files/working.git/objects/0b/c0d846cf80b079e763e35c3af273171bf01fca b/tests/files/working.git/objects/0b/c0d846cf80b079e763e35c3af273171bf01fca
new file mode 100644
index 0000000..d22d1d5
--- /dev/null
+++ b/tests/files/working.git/objects/0b/c0d846cf80b079e763e35c3af273171bf01fca
Binary files differ
diff --git a/tests/files/working.git/objects/54/5ffc79786f268524c35e1e05b1770c7c74faf1 b/tests/files/working.git/objects/54/5ffc79786f268524c35e1e05b1770c7c74faf1
new file mode 100644
index 0000000..0d0d2d2
--- /dev/null
+++ b/tests/files/working.git/objects/54/5ffc79786f268524c35e1e05b1770c7c74faf1
@@ -0,0 +1,3 @@
+xQ
+ D)@hBO٬iVY 3cxC)ƽ꾟/U5,&
+p3ɲb5,L TxW](ժ/ѷB $%ԝQ #U]30:}m&Ę߬Q8'N \ No newline at end of file
diff --git a/tests/files/working.git/objects/6b/790ddc5eab30f18cabdd0513e8f8dac0d2d3ed b/tests/files/working.git/objects/6b/790ddc5eab30f18cabdd0513e8f8dac0d2d3ed
new file mode 100644
index 0000000..6d20206
--- /dev/null
+++ b/tests/files/working.git/objects/6b/790ddc5eab30f18cabdd0513e8f8dac0d2d3ed
Binary files differ
diff --git a/tests/files/working.git/objects/e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391 b/tests/files/working.git/objects/e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391
new file mode 100644
index 0000000..7112238
--- /dev/null
+++ b/tests/files/working.git/objects/e6/9de29bb2d1d6434b8b29ae775ad8c2e48c5391
Binary files differ
diff --git a/tests/files/working.git/refs/heads/master b/tests/files/working.git/refs/heads/master
new file mode 100644
index 0000000..4b03b19
--- /dev/null
+++ b/tests/files/working.git/refs/heads/master
@@ -0,0 +1 @@
+545ffc79786f268524c35e1e05b1770c7c74faf1